#ifdef UNDERWATER_FOG
	if (isEyeInWater == 1) {
		color.rgb = calcUnderwaterFogColor(color.rgb, dist, eyeBrightnessSmooth.y / 240.0);
	}
	else {
#endif
		#ifdef FOG_ENABLED_OVERWORLD
			float d = dist + wetness * eyeBrightnessSmooth.y * 0.00125 - 0.2; //wetness * 0.3 * eyeBrightness / 240.0
			if (d > 0.0) {
				d = fogify(d * (rainStrength + 1.0) * exp2(1.5 - worldPos.y * 0.015625), FOG_DISTANCE_MULTIPLIER_OVERWORLD);
				vec3 fogclr = calcFogColor(posNorm);
				fogclr += texture2D(noisetex, gl_FragCoord.xy * invNoiseRes).rgb * 0.00390625; //dither to match sky
				color.rgb = mix(fogclr * min(max(lmcoord.y * 2.0, eyeBrightness.y / 120.0), 1.0), color.rgb, d);
				#if defined(BLUR_ENABLED) && WATER_BLUR != 0
					waterBlur *= d;
				#endif
			}
		#endif
#ifdef UNDERWATER_FOG
	}
#endif